﻿using System;
using System.Collections.Generic;
using System.Text;
using Prohlížeč_obrázků;
using System.Windows.Forms;
using System.IO;

namespace Prohlížeč_obrázků
{
    class Program
    {
        internal static procházení form_procházení;

        static private void Main(string[] args)
        {
            if (args.Length!=0 && args[0].Trim() != "")
                Zobrazování_obrázků.zobraz_obrázek(args[0]);
            
            form_procházení = new procházení();


            form_procházení.Load += new EventHandler(form_procházení_Load);
            form_procházení.slozky.AfterSelect += new TreeViewEventHandler(slozky_AfterSelect);
            form_procházení.KeyUp +=new KeyEventHandler(form_procházení_KeyUp);
            form_procházení.list.KeyUp += new KeyEventHandler(form_procházení_KeyUp);
            form_procházení.slozky.KeyUp += new KeyEventHandler(form_procházení_KeyUp);
            form_procházení.list.MouseDoubleClick += new MouseEventHandler(list_MouseDoubleClick);

            try{
                Application.Run(form_procházení);
            }catch (Exception) { }
        }

        static void form_procházení_Load(object sender, EventArgs e)
        {
            Výpis_složek.nacti_strom(form_procházení.slozky);
        }

        static void list_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            if (form_procházení.list.SelectedItems.Count != 0)
                Zobrazování_obrázků.zobraz_obrázek(form_procházení.list.SelectedItems[0].Name);
        }

        static void form_procházení_KeyUp(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode) {
                case Keys.Enter:
                    if(form_procházení.list.SelectedItems.Count!=0)
                        Zobrazování_obrázků.zobraz_obrázek(form_procházení.list.SelectedItems[0].Name);
                    break;
                case Keys.Escape:
                    Application.ExitThread();
                    break;
            }
        }

        static void slozky_AfterSelect(object sender, TreeViewEventArgs e)
        {
            Výpis_obrázků.list_obrazku(e.Node.FullPath, form_procházení.list);
        }
    }
}